> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Member ID Cards

> Lists member ID cards.



## OpenAPI

````yaml schemas/2023-08-25/schema.yaml get /member_id_cards
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /member_id_cards:
    get:
      tags:
        - member_id_cards
      description: Lists member ID cards.
      operationId: member_id_cards_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - in: query
          name: member
          schema:
            type: string
        - in: query
          name: enrollment_plan
          schema:
            type: string
        - in: query
          name: document
          schema:
            type: string
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMemberIdCardList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedMemberIdCardList:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/MemberIdCard'
    MemberIdCard:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        member:
          type: string
        insurance_member_id:
          type: string
          nullable: true
          maxLength: 255
          description: The carrier-issued insurance member ID printed on the card.
        document:
          type: string
          nullable: true
          description: The member document associated with this ID card.
        enrollment_plans:
          type: array
          items:
            type: string
          readOnly: true
        enrollment_dependents:
          type: array
          items:
            type: string
          readOnly: true
      required:
        - enrollment_dependents
        - enrollment_plans
        - id
        - member
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.